Subject: Re: [PATCH gitk] gitk: add README.md with contribution guidelines

From: Junio C Hamano <[email-masked]>
Date: Wed, 20 Aug 2025 14:12:31 -0700

Mike Rappazzo <[email-masked]> writes:

> On Wed, Aug 20, 2025 at 4:57 PM Junio C Hamano <[email-masked]> wrote:
>>
>> Michael Rappazzo <[email-masked]> writes:
>>
>> > +#### Creating and Sending Patches
>> > +After committing your changes:
>> > +```bash
>> > +git format-patch -1 --subject-prefix="PATCH gitk"
>> > +git send-email --to=[email-masked] --cc=[email-masked] *.patch
>> > +```
>>
>> Just being curious, but does the project strongly discourage a
>> multi-patch topic?
>
> I don't believe so.  I think most people know how to submit a github
> PR, but J6t has mentioned that he prefers the mailing list (as noted
> in the readme).  So I wrote a simple example to show that patching by
> email doesn't have to be scary.

As the original assumes that you are on the branch where you are
taking the patch(es) from, perhaps

    $ git format-patch --subject-prefix='PATCH gitk' @{u}..

would work?  I was mostly reacting to the "-1" on the command line.

>> It would be really nice if you add "review them here before you run
>> send-email" step between these two commands ;-).
>
> I can revise.  I will wait for more comments before sending a v2.

Thanks.